@import '../settings.scss';

button {
    &:disabled {
        background: var(--color-bg-secondary);
        border-color: var(--color-bg-secondary);
        color: var(--color-text-secondary);
        cursor: not-allowed;
    }
}

input {
    &:disabled {
        background: var(--color-bg-secondary);
        border-color: var(--color-bg-secondary);
        color: var(--color-text-secondary);
        cursor: not-allowed;
    }

    display: block;
    font-size: inherit;
    max-width: var(--width-card-wide);
    border: 1px solid var(--color-bg-secondary);
    border-radius: $border-radius;
    margin-bottom: 1rem;
    padding: 0.4rem 0.8rem;
}

button[disabled] {
    &:hover {
        filter: none;
    }
}

form {
    border: 1px solid var(--color-bg-secondary);
    border-radius: $border-radius;
    box-shadow: var(--box-shadow) var(--color-shadow);
    display: block;
    max-width: var(--width-card-wide);
    min-width: var(--width-card);
    padding: 1.5rem;
    text-align: var(--justify-normal);

    header {
        margin: 1.5rem 0;
        padding: 1.5rem 0;
    }
}

label {
    display: block;
    font-size: inherit;
    max-width: var(--width-card-wide);
    font-weight: bold;
    margin-bottom: 0.2rem;
}

select {
    display: block;
    font-size: inherit;
    max-width: var(--width-card-wide);
    border: 1px solid var(--color-bg-secondary);
    border-radius: $border-radius;
    margin-bottom: 1rem;
    padding: 0.4rem 0.8rem;
}

textarea {
    display: block;
    font-size: inherit;
    max-width: var(--width-card-wide);
    border: 1px solid var(--color-bg-secondary);
    border-radius: $border-radius;
    margin-bottom: 1rem;
    padding: 0.4rem 0.8rem;
}

input[type="checkbox"] {
    display: inline-block;
}

input[type="radio"] {
    display: inline-block;
}

input[type="checkbox"]+label {
    display: inline-block;
    font-weight: normal;
    position: relative;
    top: 1px;
}

input[type="radio"]+label {
    display: inline-block;
    font-weight: normal;
    position: relative;
    top: 1px;
}

input[readonly] {
    background-color: var(--color-bg-secondary);
}

textarea[readonly] {
    background-color: var(--color-bg-secondary);
}